
# react-native-pushbots-react

## Getting started

`$ npm install react-native-pushbots-react --save`

### Mostly automatic installation

`$ react-native link react-native-pushbots-react`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-pushbots-react` and add `RNPushbotsReact.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNPushbotsReact.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNPushbotsReactPackage;` to the imports at the top of the file
  - Add `new RNPushbotsReactPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-pushbots-react'
  	project(':react-native-pushbots-react').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-pushbots-react/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-pushbots-react')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNPushbotsReact.sln` in `node_modules/react-native-pushbots-react/windows/RNPushbotsReact.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Com.Reactlibrary.RNPushbotsReact;` to the usings at the top of the file
  - Add `new RNPushbotsReactPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNPushbotsReact from 'react-native-pushbots-react';

// TODO: What to do with the module?
RNPushbotsReact;
```
  